package cn.ibizlab.r7.runtime.client.base.model;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;
import java.io.Serializable;
import java.math.BigDecimal;
import cn.ibizlab.r7.runtime.core.client.model.IDataEntity;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 接口实体[DataEntity] 对象
 */
public class DataEntityImpl implements IDataEntity,Serializable{

    /**
     * 关系数据
     */
    public String relationalData;

    @JsonIgnore
    public boolean relationalDataDirtyFlag;
    
    /**
     * 业务实体标识
     */
    public String dataEntityId;

    @JsonIgnore
    public boolean dataEntityIdDirtyFlag;
    
    /**
     * 建立人
     */
    public String createMan;

    @JsonIgnore
    public boolean createManDirtyFlag;
    
    /**
     * 更新时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp updateDate;

    @JsonIgnore
    public boolean updateDateDirtyFlag;
    
    /**
     * 更新人
     */
    public String updateMan;

    @JsonIgnore
    public boolean updateManDirtyFlag;
    
    /**
     * 业务实体名称
     */
    public String dataEntityName;

    @JsonIgnore
    public boolean dataEntityNameDirtyFlag;
    
    /**
     * 建立时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    public Timestamp createDate;

    @JsonIgnore
    public boolean createDateDirtyFlag;
    
    /**
     * 是否启用
     */
    public Integer enable;

    @JsonIgnore
    public boolean enableDirtyFlag;
    
    /**
     * 系统名称
     */
    public String systemName;

    @JsonIgnore
    public boolean systemNameDirtyFlag;
    
    /**
     * 业务系统标识
     */
    public String systemId;

    @JsonIgnore
    public boolean systemIdDirtyFlag;
    
    /**
     * 获取 [关系数据]
     */
    @JsonProperty("relationaldata")
    public String getRelationalData(){
        return this.relationalData ;
    }

    /**
     * 设置 [关系数据]
     */
    @JsonProperty("relationaldata")
    public void setRelationalData(String  relationalData){
        this.relationalData = relationalData ;
        this.relationalDataDirtyFlag = true ;
    }

     /**
     * 获取 [关系数据]脏标记
     */
    @JsonIgnore
    public boolean getRelationalDataDirtyFlag(){
        return this.relationalDataDirtyFlag ;
    }   

    /**
     * 获取 [业务实体标识]
     */
    @JsonProperty("dataentityid")
    public String getDataEntityId(){
        return this.dataEntityId ;
    }

    /**
     * 设置 [业务实体标识]
     */
    @JsonProperty("dataentityid")
    public void setDataEntityId(String  dataEntityId){
        this.dataEntityId = dataEntityId ;
        this.dataEntityIdDirtyFlag = true ;
    }

     /**
     * 获取 [业务实体标识]脏标记
     */
    @JsonIgnore
    public boolean getDataEntityIdDirtyFlag(){
        return this.dataEntityIdDirtyFlag ;
    }   

    /**
     * 获取 [建立人]
     */
    @JsonProperty("createman")
    public String getCreateMan(){
        return this.createMan ;
    }

    /**
     * 设置 [建立人]
     */
    @JsonProperty("createman")
    public void setCreateMan(String  createMan){
        this.createMan = createMan ;
        this.createManDirtyFlag = true ;
    }

     /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return this.createManDirtyFlag ;
    }   

    /**
     * 获取 [更新时间]
     */
    @JsonProperty("updatedate")
    public Timestamp getUpdateDate(){
        return this.updateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    @JsonProperty("updatedate")
    public void setUpdateDate(Timestamp  updateDate){
        this.updateDate = updateDate ;
        this.updateDateDirtyFlag = true ;
    }

     /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return this.updateDateDirtyFlag ;
    }   

    /**
     * 获取 [更新人]
     */
    @JsonProperty("updateman")
    public String getUpdateMan(){
        return this.updateMan ;
    }

    /**
     * 设置 [更新人]
     */
    @JsonProperty("updateman")
    public void setUpdateMan(String  updateMan){
        this.updateMan = updateMan ;
        this.updateManDirtyFlag = true ;
    }

     /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return this.updateManDirtyFlag ;
    }   

    /**
     * 获取 [业务实体名称]
     */
    @JsonProperty("dataentityname")
    public String getDataEntityName(){
        return this.dataEntityName ;
    }

    /**
     * 设置 [业务实体名称]
     */
    @JsonProperty("dataentityname")
    public void setDataEntityName(String  dataEntityName){
        this.dataEntityName = dataEntityName ;
        this.dataEntityNameDirtyFlag = true ;
    }

     /**
     * 获取 [业务实体名称]脏标记
     */
    @JsonIgnore
    public boolean getDataEntityNameDirtyFlag(){
        return this.dataEntityNameDirtyFlag ;
    }   

    /**
     * 获取 [建立时间]
     */
    @JsonProperty("createdate")
    public Timestamp getCreateDate(){
        return this.createDate ;
    }

    /**
     * 设置 [建立时间]
     */
    @JsonProperty("createdate")
    public void setCreateDate(Timestamp  createDate){
        this.createDate = createDate ;
        this.createDateDirtyFlag = true ;
    }

     /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return this.createDateDirtyFlag ;
    }   

    /**
     * 获取 [是否启用]
     */
    @JsonProperty("enable")
    public Integer getEnable(){
        return this.enable ;
    }

    /**
     * 设置 [是否启用]
     */
    @JsonProperty("enable")
    public void setEnable(Integer  enable){
        this.enable = enable ;
        this.enableDirtyFlag = true ;
    }

     /**
     * 获取 [是否启用]脏标记
     */
    @JsonIgnore
    public boolean getEnableDirtyFlag(){
        return this.enableDirtyFlag ;
    }   

    /**
     * 获取 [系统名称]
     */
    @JsonProperty("systemname")
    public String getSystemName(){
        return this.systemName ;
    }

    /**
     * 设置 [系统名称]
     */
    @JsonProperty("systemname")
    public void setSystemName(String  systemName){
        this.systemName = systemName ;
        this.systemNameDirtyFlag = true ;
    }

     /**
     * 获取 [系统名称]脏标记
     */
    @JsonIgnore
    public boolean getSystemNameDirtyFlag(){
        return this.systemNameDirtyFlag ;
    }   

    /**
     * 获取 [业务系统标识]
     */
    @JsonProperty("systemid")
    public String getSystemId(){
        return this.systemId ;
    }

    /**
     * 设置 [业务系统标识]
     */
    @JsonProperty("systemid")
    public void setSystemId(String  systemId){
        this.systemId = systemId ;
        this.systemIdDirtyFlag = true ;
    }

     /**
     * 获取 [业务系统标识]脏标记
     */
    @JsonIgnore
    public boolean getSystemIdDirtyFlag(){
        return this.systemIdDirtyFlag ;
    }   

}
